Bug 660479 - Cannot select group when mouse needs double click to open folder
Cannot select group when mouse needs double click to open folder
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-06 16:40 EST by Raymond Steyer
Modified: 2010-12-30 15:23 EST (History)
6 users (show)

See Also:
Fixed In Version: kpackagekit-0.6.3.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-30 15:23:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Steyer 2010-12-06 16:40:29 EST
Description of problem: 
Cannot select a Group on KPackageKit Add and Remove Software tab when Mouse - System Settings are set to Double-click to open files and folders.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open System Settings -> Input Devices -> Mouse
2. Under Icons select "Double-click to open files and folders" and Apply
3. Open "Add and Remove Software" from start menu.  The default tab KPackageKit is "Add and Remove Software".
4. Try to select a group by double-clicking.
  
Actual results:
Double click selects the name of the Group so you can change the name of the Group, but does not open the Group so you can choose software.

Expected results:
Single click highlights the icon but does not open it.  Double-click moves from the tab full of Group icons to a list of software that can be installed.

Additional info:
The obvious work around is to select "Single-click to open files and folders" before single clicking a Group.  The System setting can be changed before or after starting KPackageKit.
Comment 1 Kevin Kofler 2010-12-07 08:01:33 EST
According to the upstream KPackageKit developer, this bug was already fixed in the current upstream source code, and therefore will be fixed in the next release of KPackageKit, which we plan to make available as an update for Fedora 14 as soon as it is released.
Comment 2 Fedora Update System 2010-12-21 16:10:29 EST
kpackagekit-0.6.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kpackagekit-0.6.3-1.fc14
Comment 3 Fedora Update System 2010-12-22 14:53:53 EST
kpackagekit-0.6.3-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kpackagekit'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kpackagekit-0.6.3-2.fc14
Comment 4 Fedora Update System 2010-12-23 10:19:42 EST
kpackagekit-0.6.3.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kpackagekit-0.6.3.2-2.fc14
Comment 5 Fedora Update System 2010-12-23 10:19:51 EST
kpackagekit-0.6.3.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kpackagekit-0.6.3.2-2.fc14
Comment 6 Fedora Update System 2010-12-23 14:56:26 EST
kpackagekit-0.6.3.2-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kpackagekit'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kpackagekit-0.6.3.2-2.fc14
Comment 7 Fedora Update System 2010-12-30 15:22:57 EST
kpackagekit-0.6.3.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.